# VLSI SAPD Documentation

Presentation | AGDS | CIF | DTR | OPENCHAMS | SPICE | Links & Contact

Public Member Functions
Library Class Reference

## Public Member Functions

bool | addStructure (Structure *)
| adds a Structure to the Library. More...
| Library (std::string libName)
| creates a new Library More...
void | setPhysUnits (double physUnits)
| sets the physical units. More...
void | setUserUnits (double userUnits)
| sets the user units. More...
bool | writeToFile (std::string fileName)
| writes the database to file. More...

## Detailed Description

This class contains all AGDS library informations such as the name, the unit used (user and physical) and the list of all Structures.

## Constructor & Destructor Documentation

## ◆ Library()

Library | ( | std::string | name | ) |

creates a new Library

Parameters

  name | the name of the library.

## Member Function Documentation

## ◆ addStructure()

bool addStructure | ( | Structure * | str | ) |

adds a Structure to the Library.

Parameters

  str | the Structure object to add.

## ◆ setPhysUnits()

void setPhysUnits | ( | double | physUnits | ) |

inline

sets the physical units.

Parameters

  physUnits | the value of the physical units.

## ◆ setUserUnits()

void setUserUnits | ( | double | userUnits | ) |

inline

sets the user units.

Parameters

  userUnits | the value of the user units.

## ◆ writeToFile()

bool writeToFile | ( | std::string | filename | ) |

writes the database to file.

Parameters

  filename | the destination file name.

Note
  When driving file, current date and time are used to define date in generated CIF file.